Service Desk Practitioners Forum
cancel
Showing results for 
Search instead for 
Did you mean: 

different versions of jre on application servers

SOLVED
Go to solution
Highlighted
Vasily Aksenov
Esteemed Contributor

different versions of jre on application servers

Hello All
we have to upgrade one of the appl servers. we use sd45 sp17
can we use on one appl server jre 1.3 and on the other one jre 1.4 ?

did anybody try this configuration?
6 REPLIES
Mike Bush
Honored Contributor

Re: different versions of jre on application servers

Vasily - I've not tried it but cannot imagine it will be a problem - App. Servers are pretty self sufficient, I know they chatter a bit but JAVA should not affect that. Take a look at SDSK_00072, it claimed to support Tomcat 5 and Java 1.4.2 but I never looked inside.
Jay Mistry
Frequent Visitor

Re: different versions of jre on application servers

I cant see it to be a problem, we run SD4.5 SP18 with JRE1.4.2 with no problems.
Vasily Kamenev
Honored Contributor
Solution

Re: different versions of jre on application servers

Hi
Must working if this two separeted server, if you using multiply mode - the best use one version.

Vasily
George M. Meneg
Honored Contributor

Re: different versions of jre on application servers

Hello Vasily,

When you install application server as service, you can specify what java.dll, therefore, what java version it's going to use. Read the commented line at the file installservice.bat in the "bin" directory where app server is installed.

However I agree with Vasily, that is not a good idea to have two different application server that are not instances of the same sd environment, running on the same machine.
menes fhtagn
Vasily Aksenov
Esteemed Contributor

Re: different versions of jre on application servers

Hello
thanks for ideas
it will be two separate servers (different hardware).
What about this? On one is installed 1.3.1 on the other i want to install 1.4.
Willthis work?

Database server is also on another hardware (unix)
Vasily Kamenev
Honored Contributor

Re: different versions of jre on application servers

Hi
Must work.
App(java 1.3)<->Opta driver SQL server
App(java 1.4)<->Opta driver
How you see; this is one SQL server just spoke with Opta driver, Opta spoke with SQL by query, query syntax is not different from versions.
If Oracle, using classes12.zip.

Vasily
//Add this to "OnDomLoad" event